Bug 1501013 - [fuse-bridge] - Make event-history option configurable and have it disabled by default.
Summary: [fuse-bridge] - Make event-history option configurable and have it disabled b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: fuse
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Krutika Dhananjay
QA Contact: Sweta Anandpara
URL:
Whiteboard: rebase
Depends On: 1467614
Blocks: 1503134
TreeView+ depends on / blocked
 
Reported: 2017-10-12 02:51 UTC by Krutika Dhananjay
Modified: 2018-10-01 08:30 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: Bug Fix
Doc Text:
Previously fuse event-history was enabled by default and there was no way to disable it. With this fix, you can make fuse event-history optional and disable it by default, since it is required only when a trace of fops from fuse's point of view is required for debugging any issues/errors.
Clone Of:
Environment:
Last Closed: 2018-09-04 06:36:52 UTC


Attachments (Terms of Use)
RHGS 3.4 verification logs (17.72 KB, text/plain)
2018-04-23 04:32 UTC, Sweta Anandpara
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:38:34 UTC

Description Krutika Dhananjay 2017-10-12 02:51:23 UTC
Description of problem:

This is because having it disabled seems to improve performance. This is due to the lock contention by the different epoll threads as well as the fuse thread on the circular buff lock both in the fop call and callback paths.

Just to provide some data - wrt RHHI, I saw an increase in IOPs by 12K with event-history disabled for randrom read workload on Sanjay's setup. So the iops I used to get previously was around 61K. With event-history disabled, iops went up to ~73K.

Moreover this codepath is not unique to RHHI. It should help the other use cases too.

Usage:
mount -t glusterfs -o event-history=on $HOSTNAME:$VOLNAME $MOUNTPOINT
OR
glusterfs --event-history=on --volfile-server=$HOSTNAME --volfile-id=$VOLNAME $MOUNTPOINT

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Krutika Dhananjay 2017-10-12 02:53:23 UTC
The patch and its backports are merged upstream.

https://review.gluster.org/#/c/18242/
https://review.gluster.org/#/c/18387/
https://review.gluster.org/#/c/18395/

Comment 7 Sweta Anandpara 2018-04-23 04:32:36 UTC
Created attachment 1425497 [details]
RHGS 3.4 verification logs

Comment 10 errata-xmlrpc 2018-09-04 06:36:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.